Subject: bug#63319: [PATCH 0/3]

From: Ulf Herrman <[email-masked]>
Date: Mon, 8 May 2023 15:33:32 -0500

This patch series fixes issue #63319, making propagation chains leading to
profile collisions be reported properly.  It does this by having
'check-for-collisions' fill in the &profile-collision-error with the manifest
and the lowered versions of the entries in question, and (guix ui) derive
parent information from the manifest.  It then removes the now-unused 'parent'
field of <manifest-entry>.

Ulf Herrman (3):
  profiles: include non-lowered entries and manifest in collision error.
  ui: derive parents of profile collision entries from manifest.
  profiles: remove `parent' field.

 guix/inferior.scm |  36 ++++-----
 guix/profiles.scm | 183 +++++++++++++++++++++++++---------------------
 guix/ui.scm       |  32 ++++++--
 3 files changed, 142 insertions(+), 109 deletions(-)

-- 
2.39.1